from setuptools import setup

setup(
    name="dew_gwdata",
    use_scm_version={"version_scheme": "post-release"},
    setup_requires=["setuptools_scm"],
    description="Python module for accessing groundwater data internally at DEW",
    long_description=open("README.md", "r").read(),
    long_description_content_type="text/markdown",
    url="http://github.com/dew-waterscience/dew_gwdata",
    author="Kent Inverarity",
    author_email="kent.inverarity@sa.gov.au",
    packages=["dew_gwdata"],
    include_package_data=True,
    entry_points={
        "console_scripts": ["logger20 = dew_gwdata.logger20_dosbox:logger20"]
    },
    install_requires=[
        "pandas",
        "geopandas",
        "rasterio",
        "sqlparse",
        "click",
        "cx_Oracle",
        "pillow",
        "numpy",
        "sqlalchemy",
        "python-sa-gwdata>=0.5.4",
        "lasio",
        "matplotlib",
        "pyshp",
        "appdirs",
        "pyodbc",
        "toml",
        "psutil",
        "networkx",
        "loguru",
        "sageodata_db>=0.19",
        "fastapi",
        "jinja2",
        "aquarius_webportal",
        "geojson",
    ],
)
